Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

View API key

Prev Next

Available in Classic and VPC

View the list of API keys.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/api-keys

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
offset Long Optional Starting point in the list of data to view
  • 0 - 9,223,372,036,854,775,807
limit Long Optional Number of data to view at once
  • 1 - 9,223,372,036,854,775,807
apiKeyName String Optional Filter by API key name
  • 0 - 20

Request example

The following is a sample request.

curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/api-keys' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "apiKeys": [
        {
            "apiKeyId": "apiKeyId",
            "tenantId": "tenantId",
            "apiKeyName": "apiKeyName",
            "apiKeyDescription": "apiKeyDescription",
            "modifier": "modifier",
            "isEnabled": true,
            "modTime": "2024-05-07T07:08:12Z",
            "domainCode": "domainCode"
        }
    ],
    "total": 0,
    "initialCount": 0
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "apiKeys": [
        {
            "apiKeyId": "*****vg079",
            "tenantId": "*****02f55ae4436913a6e2c65bab47c",
            "apiKeyName": "apiKeyName",
            "apiKeyDescription": "apiKeyDescription",
            "modifier": "d12c9fd0-****-****-****-246e96591a38",
            "isEnabled": true,
            "modTime": "2024-05-07T07:08:12Z",
            "domainCode": "PUB"
        }
    ],
    "total": 1,
    "initialCount": 1
}